## prrte 3.0.13

=== test/Makefile ===
#
# Copyright (c) 2004-2005 The Trustees of Indiana University and Indiana
#                         University Research and Technology
#                         Corporation.  All rights reserved.
# Copyright (c) 2004-2005 The University of Tennessee and The University
#                         of Tennessee Research Foundation.  All rights
#                         reserved.
# Copyright (c) 2004-2005 High Performance Computing Center Stuttgart,
#                         University of Stuttgart.  All rights reserved.
# Copyright (c) 2004-2005 The Regents of the University of California.
#                         All rights reserved.
# Copyright (c) 2006-2007 Sun Microsystems, Inc.  All rights reserved.
# Copyright (c) 2011-2020 Cisco Systems, Inc.  All rights reserved
# Copyright (c) 2012      Los Alamos National Security, Inc.  All rights reserved.
# Copyright (c) 2013      Mellanox Technologies, Inc.  All rights reserved.
# Copyright (c) 2016-2020 Intel, Inc.  All rights reserved.
# Copyright (c) 2021-2025 Nanook Consulting  All rights reserved.
# Copyright (c) 2023      Triad National Security, LLC. All rights reserved.
# $COPYRIGHT$
#
# Additional copyrights may follow
#
# $HEADER$
#

# Use the PRTE-provided wrapper compiler

CC = pcc

# Using -g is not necessary, but it is helpful for example programs,
# especially if users want to examine them with debuggers.

CFLAGS = -g

# Example programs to build

TESTS = \
	double-get \
	get-nofence \
	get-immediate \
	attachtest/app \
	attachtest/tool \
	abort \
	simple_spawn \
	hello \
	connect \
	loop_child \
	loop_spawn \
	reinit \
	cmspawn \
	qspawn \
	iostress \
	filegen \
	clichk \
	chkfs \
	spawn_timeout

all: $(TESTS)

# The usual "clean" target

clean:
	rm -f $(TESTS) *~ *.o

=== contrib/docker/Makefile ===
# Copyright (c) 2020      Intel, Inc.  All rights reserved.
# Copyright (c) 2020      IBM Corporation.  All rights reserved.

all: leap15 centos7 centos8

leap15: Dockerfile.leap15.ssh
	docker build -t prrte/leap15:latest -f Dockerfile.leap15.ssh .

centos7: Dockerfile.centos7.ssh
	docker build -t prrte/centos7:latest -f Dockerfile.centos7.ssh .

centos8: Dockerfile.centos8.ssh
	docker build -t prrte/centos8:latest -f Dockerfile.centos8.ssh .

=== contrib/scaling/Makefile ===
PROGS = prte_no_op mpi_no_op mpi_memprobe

all: $(PROGS)

CFLAGS = -O

prte_no_op: prte_no_op.c
	prtecc -o prte_no_op prte_no_op.c

mpi_no_op: mpi_no_op.c
	mpicc -o mpi_no_op mpi_no_op.c

mpi_memprobe: mpi_memprobe.c
	mpicc -o mpi_memprobe mpi_memprobe.c -lopen-pal -lopen-rte

clean:
	rm -f $(PROGS) *~

## prrte 3.0.12

=== debian/changelog ===
prrte (3.0.12-1) experimental; urgency=medium

  * Initial release. (Closes: #1120523)
    Updated to fix copyright issues in NEW

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 17 Feb 2026 08:33:38 +0000

=== debian/control ===
Source: prrte
Section: net
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), 
 architecture-is-64-bit,
 chrpath,
 flex,
 bison,
 libpmix-dev,
 libpmix-bin,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-recommonmark,
 libjs-jquery,
 libevent-dev,
 libltdl-dev,
 libmunge-dev [ !hurd-any]
Standards-Version: 4.7.3
Homepage: https://github.com/pmix/prrte
Vcs-Browser: https://salsa.debian.org/science-team/prrte
Vcs-Git: https://salsa.debian.org/science-team/prrte.git -b debian/latest

Package: libprrte-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libprrte3 (= ${binary:Version}),
	 libjs-jquery
Description: Development files for the PRRTE library  
 This is the PMix Reference Run Time Environment library. PMIX is the 
 Process Management Interface (Exascale) library, a component of OpenMPI.
 This package contains the development files, headers and static library.

 
Package: libprrte3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PMix Reference Run Time Environment - Library
 This is the OpenMPI implementation of the Process Management Interface (PMI)
 Exascale (PMix) Reference Run Time Environment.


Package: libprrte-bin
Depends:  ${misc:Depends}, ${shlibs:Depends}, libprrte3 (= ${binary:Version})
Architecture: any
Multi-Arch: foreign
Recommends: libpmix-dev
Description: PMix Reference Run Time Environment - Tools
 PMIX is the OpenMPI implementation of the Process Management Interface (PMI)
 Exascale API. This package provides utilities for working with PMix 
 Reference Run Time Environment.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1


DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)  -fPIC


export LD_LIBRARY_PATH:=$(CURDIR)/debian/tmp/$(LIBDIR)/pmix2/lib:$(LD_LIBRARY_PATH)

# Do not embed build username or build system hostname, see README
export HOSTNAME=hostname
export USER=username

%:
	dh $@ 

BUILD_FLAGS:= \
	--prefix=$(LIBDIR)/prrte3 \
	--libdir=$(LIBDIR)/prrte3/lib \
	--includedir=$(LIBDIR)/prrte3/include \
	--sysconfdir=$(LIBDIR)/prrte3/share \
	--datarootdir=$(LIBDIR)/prrte3/share 

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/static-build debian/shared-build
	rm -f .gitmodules
	# autogenerated files. Clean so double-build works
	find . -name Makefile.in -delete
	rm -f src/include/prte_config.h.in src/include/prte_frameworks.c src/include/prte_frameworks.h
	rm -f aclocal.m4 config/ar-lib config/autogen_found_items.m4 config/compile config/config.sub config/depcomp \
		config/install-sh config/libtool.m4 config/config.guess config/ltmain.sh config/ltoptions.m4 \
		config/ltsugar.m4 config/lt~obsolete.m4 config/ltversion.m4 config/mca_library_paths.txt \
		config/missing config/test-driver config/ylwrap configure 

override_dh_autoreconf:
	./autogen.pl --force

override_dh_auto_configure:
	dh_auto_configure --builddirectory=debian/static-build -- $(BUILD_FLAGS) \
		--enable-static 
	dh_auto_configure --builddirectory=debian/shared-build -- $(BUILD_FLAGS) \
		--enable-shared

override_dh_auto_build:
	# Hack - build system doesn't work well with builddirs
	cp include/*.h debian/static-build/include
	cp include/*.h debian/shared-build/include
	dh_auto_build  --builddirectory=debian/static-build
	dh_auto_build  --builddirectory=debian/shared-build

override_dh_auto_install:
	dh_auto_install --builddirectory=debian/static-build
	dh_auto_install --builddirectory=debian/shared-build
	find debian/tmp -name '*.la' -delete
	# pcc a hanging symlink to pmixcc
	rm -f debian/tmp/usr/lib/*/prrte3/bin/pcc
	chrpath -d debian/tmp/usr/lib/*/prrte3/bin/*
	chrpath -d debian/tmp/usr/lib/*/prrte3/lib/libprrte.so.*

## prrte 3.0.13

=== debian/changelog ===
prrte (3.0.13-1) unstable; urgency=medium

  * New upstream release
  * Add debian/gbp.conf
  * Add Breaks/Replaces against openmpi << 5.0.9-5
  * Drop Priority: optional
  * Add debian/salsa-ci.yml

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Feb 2026 07:32:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prrte
 Section: net
-Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), 
@@ -26,6 +25,8 @@
 Package: libprrte-dev
 Section: libdevel
 Architecture: any
+Breaks: libopenmpi-dev (<< 5.0.9-5)
+Replaces: libopenmpi-dev (<< 5.0.9-5) 
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libprrte3 (= ${binary:Version}),
 	 libjs-jquery
@@ -38,6 +39,8 @@
 Package: libprrte3
 Section: libs
 Architecture: any
+Breaks: libopenmpi40 (<< 5.0.9-5)
+Replaces: libopenmpi40 (<< 5.0.9-5) 
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: PMix Reference Run Time Environment - Library
@@ -48,6 +51,8 @@
 Package: libprrte-bin
 Depends:  ${misc:Depends}, ${shlibs:Depends}, libprrte3 (= ${binary:Version})
 Architecture: any
+Breaks: openmpi-bin (<< 5.0.9-5)
+Replaces: openmpi-bin (<< 5.0.9-5) 
 Multi-Arch: foreign
 Recommends: libpmix-dev
 Description: PMix Reference Run Time Environment - Tools

=== debian/rules ===
--- 
+++ 
@@ -64,3 +64,5 @@
 	chrpath -d debian/tmp/usr/lib/*/prrte3/bin/*
 	chrpath -d debian/tmp/usr/lib/*/prrte3/lib/libprrte.so.*
 
+override_dh_shlibdeps:
+	dh_shlibdeps -l$(DESTDIR)/$(LIBDIR)/prrte3/lib -- --ignore-missing-info

=== debian/watch ===
version=4
https://github.com/openpmix/prrte/tags .*/v?(\d.*)@ARCHIVE_EXT@
